using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace CalledIt.Util;

public abstract class DependencyInjectionModule
{
    protected abstract void ConfigureServices(IServiceCollection services, IConfiguration configuration);

    internal IServiceCollection Load(IServiceCollection services, IConfiguration configuration)
    {
        ConfigureServices(services, configuration);
        return services;
    }
}
